Upstream information

CVE-2015-3294 at MITRE

Description

The tcp_request function in Dnsmasq before 2.73rc4 does not properly handle the return value of the setup_reply function, which allows remote attackers to read process memory and cause a denial of service (out-of-bounds read and crash) via a malformed DNS request.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 923144 [RESOLVED], 928867 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5
  • dnsmasq >= 2.71-4.1
  • dnsmasq-utils >= 2.71-4.1
Patchnames:
SUSE-SLE12-CLOUD-5-2015-229
SUSE Linux Enterprise Desktop 11 SP3
  • dnsmasq >= 2.71-0.12.13.1
Patchnames:
sledsp3-dnsmasq
SUSE Linux Enterprise Desktop 12
  • dnsmasq >= 2.71-4.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-229
SUSE Linux Enterprise Desktop 12 SP1
  • dnsmasq >= 2.71-8.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA dnsmasq
SUSE Linux Enterprise Desktop 12 SP2
  • dnsmasq >= 2.71-10.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA dnsmasq
SUSE Linux Enterprise Desktop 12 SP3
  • dnsmasq >= 2.76-17.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA dnsmasq
SUSE Linux Enterprise Module for Basesystem 15
  • dnsmasq >= 2.78-1.38
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA dnsmasq
SUSE Linux Enterprise Point of Sale 11 SP3
  • dnsmasq >= 2.78-0.16.5.1
Patchnames:
sleposp3-dnsmasq-13296
SUSE Linux Enterprise Server 11 SP3
  • dnsmasq >= 2.71-0.12.13.1
Patchnames:
slessp3-dnsmasq
SUSE Linux Enterprise Server 11 SP3-LTSS
  • dnsmasq >= 2.78-0.16.5.1
Patchnames:
slessp3-dnsmasq-13296
SUSE Linux Enterprise Server 11 SP4
  • dnsmasq >= 2.78-0.17.5.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA dnsmasq
slessp4-dnsmasq-13294
SUSE Linux Enterprise Server 12
  • dnsmasq >= 2.71-4.1
Patchnames:
SUSE-SLE-SERVER-12-2015-229
SUSE Linux Enterprise Server 12 SP1
  • dnsmasq >= 2.71-8.3
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA dnsmasq
SUSE Linux Enterprise Server 12 SP2
  • dnsmasq >= 2.71-10.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA dnsmasq
SUSE Linux Enterprise Server 12 SP3
  • dnsmasq >= 2.76-17.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA dnsmasq
SUSE Linux Enterprise Server 12-LTSS
  • dnsmasq >= 2.78-6.6.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1616
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • dnsmasq >= 2.71-10.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA dnsmasq
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • dnsmasq >= 2.71-0.12.13.1
Patchnames:
slessp3-dnsmasq
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • dnsmasq >= 2.78-0.16.5.1
Patchnames:
slessp3-dnsmasq-13296
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • dnsmasq >= 2.78-0.17.5.1
Patchnames:
slessp4-dnsmasq-13294
SUSE Linux Enterprise Server for SAP Applications 12
  • dnsmasq >= 2.71-4.1
Patchnames:
SUSE-SLE-SERVER-12-2015-229
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • dnsmasq >= 2.78-6.6.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1616
SUSE Linux Enterprise Server for VMWare 11 SP3
  • dnsmasq >= 2.71-0.12.13.1
Patchnames:
slessp3-dnsmasq
SUSE OpenStack Cloud 6
  • dnsmasq-utils >= 2.71-8.3
Patchnames:
SUSE OpenStack Cloud 6 GA dnsmasq-utils
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • dnsmasq >= 2.71-0.12.13.1
Builds
SAT Patch Nr: 10650
openSUSE 13.1
  • dnsmasq >= 2.65-7.3.1
  • dnsmasq-debuginfo >= 2.65-7.3.1
  • dnsmasq-debugsource >= 2.65-7.3.1
  • dnsmasq-utils >= 2.65-7.3.1
  • dnsmasq-utils-debuginfo >= 2.65-7.3.1
Patchnames:
openSUSE-2015-359
openSUSE Leap 15.0
  • dnsmasq >= 2.78-lp150.1.11
Patchnames:
openSUSE Leap 15.0 GA dnsmasq
openSUSE Leap 42.1
  • dnsmasq >= 2.71-4.2
Patchnames:
openSUSE Leap 42.1 GA dnsmasq
openSUSE Leap 42.2
  • dnsmasq >= 2.71-6.5
Patchnames:
openSUSE Leap 42.2 GA dnsmasq
openSUSE Leap 42.3
  • dnsmasq >= 2.76-11.1
Patchnames:
openSUSE Leap 42.3 GA dnsmasq
openSUSE Tumbleweed
  • dnsmasq >= 2.76-1.3
  • dnsmasq-utils >= 2.76-1.3
Patchnames:
openSUSE Tumbleweed GA dnsmasq


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 12 Compute Node for Cloud 5 dnsmasq Released
SUSE Linux Enterprise Desktop 12 GA dnsmasq Released
SUSE Linux Enterprise Server 11 SP3 LTSS dnsmasq Released
SUSE Linux Enterprise Server 11 SP4 dnsmasq Released
SUSE Linux Enterprise Server 12 GA dnsmasq Released
SUSE Linux Enterprise Server 12 GA LTSS dnsmasq Released